### Hierarchy

- DetectFacesTaskBase<FaceDetection[]>
  - DetectAllFacesTask

## Index

### Constructors

- constructor

### Methods

- run
- then
- withAgeAndGender
- withFaceExpressions
- withFaceLandmarks

## Constructors

### constructor

- new DetectAllFacesTask(input: any, options?: FaceDetectionOptions): DetectAllFacesTask

- Inherited from DetectFacesTaskBase.constructor

  - Defined in globalApi/DetectFacesTasks.ts:15

  #### Parameters

  - ##### input: any

  - ##### options: FaceDetectionOptions = ...

  #### Returns DetectAllFacesTask

## Methods

### run

- run(): Promise<FaceDetection[]>

- Overrides DetectFacesTaskBase.run

  - Defined in globalApi/DetectFacesTasks.ts:23

  #### Returns Promise<FaceDetection[]>

### then

- then(onfulfilled: (value: FaceDetection[]) => FaceDetection[] | PromiseLike<FaceDetection[]>): Promise<FaceDetection[]>

- Inherited from DetectFacesTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

  #### Parameters

  - ##### onfulfilled: (value: FaceDetection[]) => FaceDetection[] | PromiseLike<FaceDetection[]>

    - - (value: FaceDetection[]): FaceDetection[] | PromiseLike<FaceDetection[]>

      - #### Parameters

        - ##### value: FaceDetection[]

        #### Returns FaceDetection[] | PromiseLike<FaceDetection[]>

  #### Returns Promise<FaceDetection[]>

### withAgeAndGender

- withAgeAndGender(): PredictAllAgeAndGenderTask<{ detection: FaceDetection }>

- - Defined in globalApi/DetectFacesTasks.ts:56

  #### Returns PredictAllAgeAndGenderTask<{ detection: FaceDetection }>

### withFaceExpressions

- withFaceExpressions(): PredictAllFaceExpressionsTask<{ detection: FaceDetection }>

- - Defined in globalApi/DetectFacesTasks.ts:49

  #### Returns PredictAllFaceExpressionsTask<{ detection: FaceDetection }>

### withFaceLandmarks

- withFaceLandmarks(useTinyLandmarkNet?: boolean): DetectAllFaceLandmarksTask<{ detection: FaceDetection }>

- - Defined in globalApi/DetectFacesTasks.ts:41

  #### Parameters

  - ##### useTinyLandmarkNet: boolean = false

  #### Returns DetectAllFaceLandmarksTask<{ detection: FaceDetection }>